# Supply Rate

At any point in time one may query the contract to get the current supply rate per block. The supply rate is derived from the [borrow rate](/atokens/borrow-rate.md), [reserve factor](/atokens/reserve-factor.md) and the amount of [total borrows](/atokens/total-borrow.md).

**SErc20 / SEther**

```
function supplyRatePerBlock() returns (uint)
```

* `RETURN`: The current supply rate as an unsigned integer, scaled by 1e18.

**Solidity**

```
SErc20 aToken = SToken(0x3FDA...);
uint supplyRateMantissa = aToken.supplyRatePerBlock();
```

**Web3 1.0**

```javascript
const aToken = SEther.at(0x3FDB...);
const supplyRate = (await aToken.methods.supplyRatePerBlock().call()) / 1e18;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/atokens/supply-rate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
